<?php
/*ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);*/
session_start();
include_once("../config/ConfiguracionBD.php");
include_once("../resources/php/FuncionesComunes.php");
include_once("../models/Encuesta233.php");
include_once("../models/Encuesta.php");
class Encuesta233Controller
{
    public $Encuesta233;
    public $Encuesta;

    function __construct()
    {
        try
        {
            $this->Encuesta233 = new Encuesta233();
            $this->Encuesta = new Encuesta();
        }
        catch (Exception $e)
        {
            throw  $e;
        }
    }

    function realizarEncuesta233($userId,$nombreAlumno)
    {
        try
        {
            $this->Encuesta233->userId = $userId;
            $this->Encuesta233->nombreAlumno = $nombreAlumno;
            $this->Encuesta233->consultarEncuestas233();
            if($this->Encuesta233->encuesta233Id>0)
            {
                $userId = $this->Encuesta233->userId;
                $nombreAlumno = $this->Encuesta233->nombreAlumno;
                switch ($this->Encuesta233->seccionEncuesta)
                {
                    case "seccion1":
                        $resultadoPreguntasSec1 = $this->Encuesta->consultarPreguntasEncuestas(3,1);
                        break;
                    case "realizada":
                        $resultadosEncuesta = $this->Encuesta233->consultarEncuestas233(1);
                        $arregloEtiquetasAreas= array('','','','','','','','');
                        $arregloValoresAreas= array(0,0,0,0,0,0,0,0);
                        if($resultadosEncuesta->num_rows>0)
                        {
                            $rowRespuestasEncuesta = $resultadosEncuesta->fetch_assoc();
                            $resultadoPreguntasSec1 = $this->Encuesta->consultarPreguntasEncuestas(3,1);
                            if($resultadoPreguntasSec1->num_rows>0)
                            {
                                $contadorArreglo=0;
                                while ($rowPregunta = $resultadoPreguntasSec1->fetch_object())
                                {
                                    if($rowRespuestasEncuesta["pregunta".$rowPregunta->orden]>0)
                                    {
                                        if($rowPregunta->orden<=13)
                                            $arregloEtiquetasAreas[$contadorArreglo] = html_entity_decode($rowPregunta->pregunta);
                                        else
                                            $arregloEtiquetasAreas[$contadorArreglo] = utf8_encode($rowRespuestasEncuesta["texto".$rowPregunta->orden]);
                                        $arregloValoresAreas[$contadorArreglo] = $rowRespuestasEncuesta["pregunta".$rowPregunta->orden];
                                        $contadorArreglo++;
                                    }
                                }
                            }
                        }
                        break;
                }
            }
            $rowEncuesta = $this->Encuesta->consultarEncuestas(3);
            include_once ("../views/encuesta233.php");
        }
        catch (Exception $e)
        {
            throw  $e;
        }
    }

    function registrarInstruccionesEncuesta233($userId,$nombreAlumno)
    {
        try
        {
            $this->Encuesta233->userId = $userId;
            $this->Encuesta233->nombreAlumno = $nombreAlumno;
            if($this->Encuesta233->registrarInstruccionesEncuesta233()>0)
                $arrayRespuesta = array('type'=>'success','msg'=>$nombreAlumno.': Encuesta registrada con éxito','opc'=>FuncionesComunes::encrypt("realizarEncuesta233"),'userId'=>$_REQUEST["userId"],'nombreAlumno'=>$_REQUEST["nombreAlumno"]);
            else
                $arrayRespuesta = array('type'=>'error','msg'=>$nombreAlumno.': Encuesta NO registrada con éxito');
            echo json_encode($arrayRespuesta);
        }
        catch (Exception $e)
        {
            throw  $e;
        }
    }

    function registrarSeccion1Encuesta233($userId,$pregunta1,$pregunta2,$pregunta3,$pregunta4,$pregunta5,$pregunta6,$pregunta7,$pregunta8,$pregunta9,$pregunta10,$pregunta11,$pregunta12,$pregunta13,$pregunta14,$pregunta15,$pregunta16,$valor1,$valor2,$valor3,$valor4,$valor5,$valor6,$valor7,$valor8,$valor9,$valor10,$valor11,$valor12,$valor13,$valor14,$valor15,$valor16,$texto14,$texto15,$texto16,$respuesta)
    {
        try
        {
            $this->Encuesta233->userId = $userId;
            $this->Encuesta233->consultarEncuestas233();
            if($this->Encuesta233->encuesta233Id>0)
            {
                if($pregunta1=="on"){$this->Encuesta233->pregunta1 = $valor1;}else{$this->Encuesta233->pregunta1 = 0;}
                if($pregunta2=="on"){$this->Encuesta233->pregunta2 = $valor2;}else{$this->Encuesta233->pregunta2 = 0;}
                if($pregunta3=="on"){$this->Encuesta233->pregunta3 = $valor3;}else{$this->Encuesta233->pregunta3 = 0;}
                if($pregunta4=="on"){$this->Encuesta233->pregunta4 = $valor4;}else{$this->Encuesta233->pregunta4 = 0;}
                if($pregunta5=="on"){$this->Encuesta233->pregunta5 = $valor5;}else{$this->Encuesta233->pregunta5 = 0;}
                if($pregunta6=="on"){$this->Encuesta233->pregunta6 = $valor6;}else{$this->Encuesta233->pregunta6 = 0;}
                if($pregunta7=="on"){$this->Encuesta233->pregunta7 = $valor7;}else{$this->Encuesta233->pregunta7 = 0;}
                if($pregunta8=="on"){$this->Encuesta233->pregunta8 = $valor8;}else{$this->Encuesta233->pregunta8 = 0;}
                if($pregunta9=="on"){$this->Encuesta233->pregunta9 = $valor9;}else{$this->Encuesta233->pregunta9 = 0;}
                if($pregunta10=="on"){$this->Encuesta233->pregunta10 = $valor10;}else{$this->Encuesta233->pregunta10 = 0;}
                if($pregunta11=="on"){$this->Encuesta233->pregunta11 = $valor11;}else{$this->Encuesta233->pregunta11 = 0;}
                if($pregunta12=="on"){$this->Encuesta233->pregunta12 = $valor12;}else{$this->Encuesta233->pregunta12 = 0;}
                if($pregunta13=="on"){$this->Encuesta233->pregunta13 = $valor13;}else{$this->Encuesta233->pregunta13 = 0;}
                if($pregunta14=="on")
                {
                    $this->Encuesta233->pregunta14 = $valor14;
                    $this->Encuesta233->texto14=$texto14;
                }
                else
                {
                    $this->Encuesta233->pregunta14 = 0;
                    $this->Encuesta233->texto14="";
                }
                if($pregunta15=="on")
                {
                    $this->Encuesta233->pregunta15 = $valor15;
                    $this->Encuesta233->texto15=$texto15;
                }
                else
                {
                    $this->Encuesta233->pregunta15 = 0;
                    $this->Encuesta233->texto15="";
                }
                if($pregunta16=="on")
                {
                    $this->Encuesta233->pregunta16 = $valor16;
                    $this->Encuesta233->texto16=$texto16;
                }
                else
                {
                    $this->Encuesta233->pregunta16 = 0;
                    $this->Encuesta233->texto16="";
                }
                $this->Encuesta233->respuesta = $respuesta;
                if($this->Encuesta233->registrarSeccion1Encuesta233()>0)
                    $arrayRespuesta = array('type'=>'success','msg'=>$this->Encuesta233->nombreAlumno.': Encuesta registrada con éxito','opc'=>FuncionesComunes::encrypt("realizarEncuesta233"),'userId'=>$_REQUEST["userId"],'nombreAlumno'=>$_REQUEST["nombreAlumno"]);
                else
                    $arrayRespuesta = array('type'=>'error','msg'=>$this->Encuesta233->nombreAlumno.':Encuesta NO registrada con éxito');
            }
            else
                $arrayRespuesta = array('type'=>'error1','msg'=> 'No se encontro la encuesta.');
            echo json_encode($arrayRespuesta);
        }
        catch (Exception $e)
        {
            throw  $e;
        }
    }

    function cancelarEncuesta233($userId)
    {
        try
        {
            $this->Encuesta233->userId = $userId;
            $this->Encuesta233->consultarEncuestas233();
            if($this->Encuesta233->encuesta233Id>0)
            {
                if($this->Encuesta233->cancelarEncuesta233()>0)
                    $arrayRespuesta = array('type'=>'success','msg'=>$this->Encuesta233->nombreAlumno.': Encuesta cancelada con éxito','opc'=>FuncionesComunes::encrypt("realizarEncuesta233"),'nombre'=>FuncionesComunes::encrypt($this->Encuesta233->nombreAlumno),'userId'=>$_REQUEST["userId"],'nombreAlumno'=>$_REQUEST["nombreAlumno"]);
                else
                    $arrayRespuesta = array('type'=>'error','msg'=>$this->Encuesta233->nombreAlumno.': Encuesta NO cancelada con éxito');
            }
            else
                $arrayRespuesta = array('type'=>'error1','msg'=> 'No se encontro la encuesta.');
            echo json_encode($arrayRespuesta);
        }
        catch (Exception $e)
        {
            throw  $e;
        }
    }

    function guardaImagenGrafica($encuestaId,$imagenGrafica)
    {
        try
        {
            $this->Encuesta233->encuesta233Id = $encuestaId;
            $this->Encuesta233->consultarEncuestas233();
            if($this->Encuesta233->encuesta233Id>0)
            {
                $this->Encuesta233->imagenGrafica = $imagenGrafica;
                if($this->Encuesta233->guardaImagenGrafica()>0)
                    $arrayRespuesta = array('type'=>'success','msg'=>$this->Encuesta233->nombreAlumno.': Encuesta cancelada con éxito','opc'=>FuncionesComunes::encrypt("realizarEncuesta233"),'nombre'=>FuncionesComunes::encrypt($this->Encuesta233->nombreAlumno),'userId'=>$_REQUEST["userId"],'nombreAlumno'=>$_REQUEST["nombreAlumno"]);
                else
                    $arrayRespuesta = array('type'=>'error','msg'=>$this->Encuesta233->nombreAlumno.': Encuesta NO cancelada con éxito');
            }
            else
                $arrayRespuesta = array('type'=>'error1','msg'=> 'No se encontro la encuesta.');
            echo json_encode($arrayRespuesta);
        }
        catch (Exception $e)
        {
            throw  $e;
        }
    }

}

if($_REQUEST["opc"] != "" && $_REQUEST["userId"] != "" && $_REQUEST["nombreAlumno"] != "")
{
    $opcionRegistro = FuncionesComunes::decrypt($_REQUEST["opc"]);
    switch ($opcionRegistro)
    {
        case "realizarEncuesta233":
            $userId = FuncionesComunes::decrypt( $_REQUEST["userId"]);
            $nombreAlumno = FuncionesComunes::decrypt($_REQUEST["nombreAlumno"]);
            $Encuesta233Controller = new Encuesta233Controller();
            $Encuesta233Controller->realizarEncuesta233($userId,$nombreAlumno);
            break;
        case "registrarInstruccionesEncuesta233":
            $Encuesta233Controller = new Encuesta233Controller();
            $userId = FuncionesComunes::decrypt( $_REQUEST["userId"]);
            $nombreAlumno = FuncionesComunes::decrypt($_REQUEST["nombreAlumno"]);
            $Encuesta233Controller->registrarInstruccionesEncuesta233($userId,$nombreAlumno);
            break;
        case "registrarSeccion1Encuesta233":
            $Encuesta233Controller = new Encuesta233Controller();
            $userId = FuncionesComunes::decrypt( $_REQUEST["userId"]);
            $nombreAlumno = FuncionesComunes::decrypt($_REQUEST["nombreAlumno"]);
            $Encuesta233Controller->registrarSeccion1Encuesta233($userId,$_POST["1"],$_POST["2"],$_POST["3"],$_POST["4"],$_POST["5"],$_POST["6"],$_POST["7"],$_POST["8"],$_POST["9"],$_POST["10"],$_POST["11"],$_POST["12"],$_POST["13"],$_POST["14"],$_POST["15"],$_POST["16"],$_POST["valor1"],$_POST["valor2"],$_POST["valor3"],$_POST["valor4"],$_POST["valor5"],$_POST["valor6"],$_POST["valor7"],$_POST["valor8"],$_POST["valor9"],$_POST["valor10"],$_POST["valor11"],$_POST["valor12"],$_POST["valor13"],$_POST["valor14"],$_POST["valor15"],$_POST["valor16"],$_POST["texto14"],$_POST["texto15"],$_POST["texto16"],"");
            break;
        case "cancelarEncuesta233":
            $Encuesta233Controller = new Encuesta233Controller();
            $userId = FuncionesComunes::decrypt( $_REQUEST["userId"]);
            $nombreAlumno = FuncionesComunes::decrypt($_REQUEST["nombreAlumno"]);
            $Encuesta233Controller->cancelarEncuesta233($userId);
            break;
        case "guardaImagenGrafica":
            $Encuesta233Controller = new Encuesta233Controller();
            $userId = FuncionesComunes::decrypt($_REQUEST["userId"]);
            $encuestaId = FuncionesComunes::decrypt($_REQUEST["encuestaId"]);
            $nombreAlumno = FuncionesComunes::decrypt($_REQUEST["nombreAlumno"]);
            $Encuesta233Controller->guardaImagenGrafica($encuestaId,$_REQUEST["base64"]);
            break;
    }
}